XML2AG(1)

NAME
xml2ag - XML to AutoGen Definiton Converter

SYNOPSIS
xml2ag [-flag [value]]... [--opt-name [[=| ]value]]...
[ <def-file> ]

This program will convert any arbitrary XML file into equivalent AutoGen definitions, and invoke AutoGen.

DESCRIPTION
This manual page briefly documents the xml2ag command. The template will be derived from either:
* the --override-tpl command line option
* a top level XML attribute named, "template"
One or the other must be provided, or the program will exit with a failure message.

The “base-name” for the output will similarly be either:
* the --base-name command line option
* the base name of the .xml file

OPTIONS

-O file, --output=file
    Output file in lieu of AutoGen processing.

    By default, the output is handed to an AutoGen for processing. However, you may save the definitions to a file instead.

-L dir, --templ-dirs=dir
    Template search directory list. This option may appear an unlimited number of times.

    Pass-through AutoGen argument

-T tpl-file, --override-tpl=tpl-file
    Override template file.

    Pass-through AutoGen argument

-l tpl-file, --lib-template=tpl-file
    Library template file. This option may appear an unlimited number of times.

    Pass-through AutoGen argument

-b name, --base-name=name
    Base name for output file(s).

    Pass-through AutoGen argument

--definitions=file
    Definitions input file.

    Pass-through AutoGen argument

-S file, --load-scheme=file
    Scheme code file to load.

    Pass-through AutoGen argument

-F file, --load-functions=file
    Load scheme function library.

    Pass-through AutoGen argument

-s suffix, --skip-suffix=suffix
    Omit the file with this suffix. This option may appear an unlimited number of times.

    Pass-through AutoGen argument

-o suffix, --select-suffix[=suffix]
    specify this output suffix. This option may appear an unlimited number of times.

    Pass-through AutoGen argument

--source-time
    set mod times to latest source.

    Pass-through AutoGen argument

-m, --no-fmemopen
    Do not use in-mem streams.

    Pass-through AutoGen argument

--equate=char-list
    characters considered equivalent.

    Pass-through AutoGen argument

--writable, --not-writable
    Allow output files to be writable. The not-writable form will disable the option.

    Pass-through AutoGen argument

--loop-limit=lim
    Limit on increment loops. This option takes an integer number as its argument. The value of lim is constrained to being:
    exactly -1, or
    in the range  1 through 0x1000000
    The default lim for this option is:
     256

    Pass-through AutoGen argument

-t time-lim, --timeout=time-lim
    Time limit for servers. This option takes an integer number as its argument. The value of time-lim is constrained to being:
    in the range  0 through 3600

    Pass-through AutoGen argument

--trace=level
    tracing level of detail. This option takes a keyword as its argument. The argument sets an enumeration value that can be tested by comparing them against the option value macro. The available keywords are:
    nothing       debug-message server-shell
    templates     block-macros  expressions
    everything
    or their numeric equivalent.

    The default level for this option is:
     nothing

    Pass-through AutoGen argument

--trace-out=file
    tracing output file or filter.

    Pass-through AutoGen argument

--show-defs
    Show the definition tree.

    Pass-through AutoGen argument

--used-defines
    Show the definitions used.

    Pass-through AutoGen argument

-D value, --define=value
    name to add to definition list. This option may appear an unlimited number of times.

    Pass-through AutoGen argument

-U name-pat, --undefine=name-pat
    definition list removal pattern. This option may appear an unlimited number of times.

    Pass-through AutoGen argument

-?, --help
    Display usage information and exit.

-!, --more-help
    Extended usage information passed thru pager.

-v [{v|c|n}], --version[={v|c|n}]
    Output version of program and exit. The default mode is `v', a simple version. The `c' mode will print copyright information and `n' will print the full copyright notice.

AUTHOR
Bruce Korb
Please send bug reports to: autogen-users@lists.sourceforge.net

Released under the GNU General Public License.

This manual page was AutoGen-erated from the xml2ag option definitions.